> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch space scheduling limits

> Update the space concurrency limits (bounded by the instance-configured maxima)

Required token scopes: `space|update`



## OpenAPI

````yaml /swagger.json patch /space/{spaceId}/scheduling-limits
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
tags:
  - name: base
    x-group: project
  - name: base node
    x-group: project node
  - name: base-share
    x-group: project-share
paths:
  /space/{spaceId}/scheduling-limits:
    patch:
      tags:
        - space
      description: >-
        Update the space concurrency limits (bounded by the instance-configured
        maxima)


        Required token scopes: `space|update`
      parameters:
        - schema:
            type: string
          required: true
          name: spaceId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                ai-field-generation:
                  type: object
                  nullable: true
                  properties:
                    limit:
                      type: integer
                      minimum: 1
                      maximum: 100
                  required:
                    - limit
              additionalProperties: false
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  ai-field-generation:
                    type: object
                    properties:
                      limit:
                        type: integer
                        nullable: true
                      effectiveLimit:
                        type: integer
                      defaultLimit:
                        type: integer
                      maxLimit:
                        type: integer
                    required:
                      - limit
                      - effectiveLimit
                      - defaultLimit
                      - maxLimit
                required:
                  - ai-field-generation
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request PATCH \
              --url https://app.teable.ai/api/space/%7BspaceId%7D/scheduling-limits \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
              --header 'content-type: application/json' \
              --data '{"ai-field-generation":{"limit":1}}'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/space/%7BspaceId%7D/scheduling-limits';

            const options = {
              method: 'PATCH',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              },
              body: '{"ai-field-generation":{"limit":1}}'
            };


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'PATCH',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/space/%7BspaceId%7D/scheduling-limits',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.write(JSON.stringify({'ai-field-generation': {limit: 1}}));
            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            payload = "{\"ai-field-generation\":{\"limit\":1}}"


            headers = {
                'Authorization': "Bearer REPLACE_BEARER_TOKEN",
                'content-type': "application/json"
            }


            conn.request("PATCH", "/api/space/%7BspaceId%7D/scheduling-limits",
            payload, headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````